{
	"$schema": "http://json-schema.org/draft-04/schema#",
	"$ref": "#/definitions/hotelBookingModificationRequest",
	"definitions": {
		"hotelBookingModificationRequest": {
			"description": "Schema to modify non price impacting aspects of a booking. eg: PAX Names, preferences, etc",
			"type": "object",
			"properties": {
				"versionNumber": {
					"$ref": "commonTypes.json#/definitions/schemaVersion"
				},
				"requestAuditInfo": {
					"$ref": "commonTypes.json#/definitions/requestAuditInfo"
				},
				"modifyItem": {
					"$ref": "modifyCommonTypes.json#/definitions/hotelModificationItemType"
				},
				"payNow": {
					"$ref": "commonTypes.json#/definitions/payNowType"
				},
				"paymentCard": {
					"$ref": "bookingCommonTypes.json#/definitions/paymentRequestType"
				},
				"modifyClientReference": {
					"$ref": "modifyCommonTypes.json#/definitions/modifyClientReferenceType"
				},
				"modifyDepartureDate": {
					"$ref": "modifyCommonTypes.json#/definitions/modifyDepartureDateType"
				}
			},
			"required": [
				"versionNumber",
				"requestAuditInfo"
			],
			"additionalProperties": false,
			"javaType": "uk.co.miki.eBiz.msi.service.json70.schema.hotelbookingmodification.HotelBookingModificationRequest"
		}
	}
}